#include <stdio.h>
#include <math.h>
int f(int c)
{
    int b=0;
    while (c>0)
    {
       if(c>=5)
       {
           b=b+1;
           c=c-5;
       }
       else if(c>=2)
       {
           b=b+1;
           c=c-2;
       }
       else
       {
           b=b+1;
           c=c-1;
       }
    }
    return b;

}

int main()
{
    unsigned long long V;
    int s=0,cif;
    scanf("%lld",&V);
    while(V>0)
    {
    cif=V%10;
    int x=f(cif);
    V=V/10;
    s=s+x;
    }
    printf("%d",s);

    return 0;
}